Back to top

API Documentation

Contacts

Overview

A Contact is an object, belonging to a user which holds various information about another person, ranging from phone numbers and email to birthdays and company information. A contact is a personal object, meaning each user has a set of them individually.

Contact

A Contact is a simple and small object that contains an actual Attributes.

Field Type association Description
id uuid Internal identifier of the contact
created_at number
updated_at number
deleted_at number
created_by User contact.created_by User who created this contact
updated_by User contact.updated_by User who created this contact
ios_address_book_id string Address book id of this contact on iOS device
android_address_book_id string Address book id of this contact on Android device
user User contact.user Owner of the contact. association: contact.user
brand Brand contact.brand The team this object belongs to
attributes Attribute[] contact.attributes List of contact’s attributes
summary Summary contact.summary A plain simple object containing some of the global attribute values of the contact
lists ContactList[] contact.lists List of the contact lists this contact is a member of
users User[] contact.users Users matching credential fields of this contact
deals Deal[] contact.deals Deals that have a role matching credential fields of this contact
flows Flow[] contact.flows Flows that this contact has been enrolled into

Contact’s available model associations are as follows:

  • contact.attributes

  • contact.flows

  • contact.summary

  • contact.lists

  • contact.users

  • contact.deals

  • contact.brand

  • contact.user

  • contact.created_by

  • contact.updated_by

Get all user contacts

Get all user contacts
GET/contacts

Example URI

GET /contacts
URI Parameters
HideShow
start
number (optional) 
limit
number (optional) Default: 10 
order
string (optional) Example: created_at

Put a minus sign before field name for descending order

  • Members:
    • display_name
    • sort_field
    • last_touch
    • next_touch
    • created_at
    • updated_at
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "18b04abe-c85e-486c-896b-3fb37c609c20",
      "display_name": "Johnny",
      "partner_name": "Jane Doe",
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Johnny",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": null,
      "android_address_book_id": null,
      "created_at": 1787791946.271394,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "direct_request",
      "updated_for": "direct_request",
      "deleted_for": null,
      "title": null,
      "first_name": "John",
      "partner_first_name": "Jane",
      "middle_name": "M.",
      "last_name": "Doe",
      "partner_last_name": "Doe",
      "marketing_name": null,
      "nickname": "Johnny",
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": "[email protected]",
      "phone_number": "+989124834198",
      "primary_phone_number": "+989124834198",
      "phone_numbers": [
        "+989124834198"
      ],
      "company": "Rechat",
      "birthday": "1970-01-12T00:00:00.000Z",
      "profile_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
      "cover_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
      "job_title": "Contact Test Subject",
      "source_type": "ExplicitlyCreated",
      "source": null,
      "website": [
        "http://www.gholi.com"
      ],
      "tags": [
        "poo",
        "foo",
        "New"
      ],
      "address": [
        {
          "city": "Dallas",
          "full": "Street, Dallas Texas 72890",
          "name": "Street",
          "type": "stdaddr",
          "extra": "Office",
          "line1": "Street",
          "line2": "Dallas Texas 72890",
          "state": "Texas",
          "country": "US",
          "postcode": "72890"
        }
      ],
      "type": "contact"
    },
    {
      "id": "2b11ec9c-36f3-4f43-b116-94b775f90793",
      "display_name": "ACME Corporation",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "ACME Corporation",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": null,
      "android_address_book_id": null,
      "created_at": 1787791946.38132,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "direct_request",
      "updated_for": "direct_request",
      "deleted_for": null,
      "title": null,
      "first_name": null,
      "partner_first_name": null,
      "middle_name": null,
      "last_name": null,
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": null,
      "primary_email": null,
      "emails": null,
      "parked": false,
      "partner_email": null,
      "phone_number": null,
      "primary_phone_number": null,
      "phone_numbers": null,
      "company": "ACME Corporation",
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": null,
      "source": null,
      "website": null,
      "tags": null,
      "address": null,
      "type": "contact"
    },
    {
      "id": "0104881a-8c80-43d9-b15f-8629d3e5fdee",
      "display_name": "Kate Bell",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Bell Kate",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "177C371E-701D-42F8-A03B-C61CA31627F6",
      "android_address_book_id": null,
      "created_at": 1787791946.651552,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Kate",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Bell",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "(415) 555-3695",
      "primary_phone_number": "(415) 555-3695",
      "phone_numbers": [
        "(415) 555-3695",
        "(555) 564-8583"
      ],
      "company": null,
      "birthday": "1978-01-13T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Hillsborough",
          "full": "165 Davis Street, Hillsborough CA 94010",
          "name": "Davis",
          "type": "stdaddr",
          "line1": "165 Davis Street",
          "line2": "Hillsborough CA 94010",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94010",
          "house_num": "165"
        }
      ],
      "type": "contact"
    },
    {
      "id": "503299cd-990a-40c9-99e6-72688df11870",
      "display_name": "Daniel Higgins",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Higgins Daniel",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "AB211C5F-9EC9-429F-9466-B9382FF61035",
      "android_address_book_id": null,
      "created_at": 1787791946.65167,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Daniel",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Higgins",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "(408) 555-3514",
      "primary_phone_number": "(408) 555-3514",
      "phone_numbers": [
        "(408) 555-3514",
        "(408) 555-5270",
        "555-478-7672"
      ],
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Corte Madera",
          "full": "322 Laguna Street, Corte Madera CA 94925",
          "name": "Laguna",
          "type": "stdaddr",
          "line1": "322 Laguna Street",
          "line2": "Corte Madera CA 94925",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94925",
          "house_num": "322"
        }
      ],
      "type": "contact"
    },
    {
      "id": "4f6495bb-da20-40e2-8c9e-8eeb9a290175",
      "display_name": "John Appleseed",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Appleseed John",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "410FE041-5C4E-48DA-B4DE-04C15EA3DBAC",
      "android_address_book_id": null,
      "created_at": 1787791946.65171,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "John",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Appleseed",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]",
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "888-555-1212",
      "primary_phone_number": "888-555-1212",
      "phone_numbers": [
        "888-555-1212",
        "888-555-5512"
      ],
      "company": null,
      "birthday": "1980-06-17T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Atlanta",
          "full": "3494 Kuhl Avenue, Atlanta GA 30303",
          "name": "Kuhl",
          "type": "stdaddr",
          "line1": "3494 Kuhl Avenue",
          "line2": "Atlanta GA 30303",
          "state": "GA",
          "suftype": "Avenue",
          "postcode": "30303",
          "house_num": "3494"
        }
      ],
      "type": "contact"
    },
    {
      "id": "583e1b61-62db-4721-ad0b-30c363b7944f",
      "display_name": "Anna Haro",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Haro Anna",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "F57C8277-585D-4327-88A6-B5689FF69DFE",
      "android_address_book_id": null,
      "created_at": 1787791946.651746,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Anna",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Haro",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "555-522-8243",
      "primary_phone_number": "555-522-8243",
      "phone_numbers": [
        "555-522-8243"
      ],
      "company": null,
      "birthday": "1985-08-22T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Sausalito",
          "full": "1001 Leavenworth Street, Sausalito CA 94965",
          "name": "Leavenworth",
          "type": "stdaddr",
          "line1": "1001 Leavenworth Street",
          "line2": "Sausalito CA 94965",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94965",
          "house_num": "1001"
        }
      ],
      "type": "contact"
    },
    {
      "id": "307ff712-49fd-4d8a-b077-054236b97223",
      "display_name": "Zakroff",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Zakroff",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": null,
      "android_address_book_id": null,
      "created_at": 1787791946.651779,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": null,
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Zakroff",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": null,
      "primary_phone_number": null,
      "phone_numbers": null,
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": null,
      "source": null,
      "website": null,
      "tags": null,
      "address": null,
      "type": "contact"
    },
    {
      "id": "ea1216ac-8328-4c10-a7ea-0c78177fdfc4",
      "display_name": "Hank Zakroff",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Zakroff Hank",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "2E73EE73-C03F-4D5F-B1E8-44E85A70F170",
      "android_address_book_id": null,
      "created_at": 1787791946.651811,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Hank",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Zakroff",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "(707) 555-1854",
      "primary_phone_number": "(707) 555-1854",
      "phone_numbers": [
        "(707) 555-1854",
        "(555) 766-4823"
      ],
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "San Rafael",
          "full": "1741 Kearny Street, San Rafael CA 94901",
          "name": "Kearny",
          "type": "stdaddr",
          "line1": "1741 Kearny Street",
          "line2": "San Rafael CA 94901",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94901",
          "house_num": "1741"
        }
      ],
      "type": "contact"
    },
    {
      "id": "8710005f-d9b4-4991-8ccc-f604af84d15a",
      "display_name": "David",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "David",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "E94CD15C-7964-4A9B-8AC4-10D7CFB791FD",
      "android_address_book_id": null,
      "created_at": 1787791946.651842,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "David",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": null,
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": null,
      "primary_email": null,
      "emails": null,
      "parked": false,
      "partner_email": null,
      "phone_number": "555-610-6679",
      "primary_phone_number": "555-610-6679",
      "phone_numbers": [
        "555-610-6679"
      ],
      "company": null,
      "birthday": "1998-06-15T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": null,
      "type": "contact"
    },
    {
      "id": "14017ff4-6b0a-4974-b6e9-fe0b7356a77d",
      "display_name": "David Taylor",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Taylor David",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "E94CD15C-7964-4A9B-8AC4-10D7CFB791FD",
      "android_address_book_id": null,
      "created_at": 1787791946.651874,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "David",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Taylor",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": null,
      "primary_email": null,
      "emails": null,
      "parked": false,
      "partner_email": null,
      "phone_number": "555-610-6679",
      "primary_phone_number": "555-610-6679",
      "phone_numbers": [
        "555-610-6679"
      ],
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Tiburon",
          "full": "1747 Steuart Street, Tiburon CA 94920",
          "name": "Steuart",
          "type": "stdaddr",
          "line1": "1747 Steuart Street",
          "line2": "Tiburon CA 94920",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94920",
          "house_num": "1747"
        }
      ],
      "type": "contact"
    },
    {
      "id": "4cd0474f-7dfe-4e3f-864a-7c69df97b61e",
      "display_name": "Goat Boy",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Boy Goat",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "52EAB13E-733F-4153-B019-9A83EE67171D:ABPerson",
      "android_address_book_id": null,
      "created_at": 1787791946.651907,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Goat",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Boy",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": null,
      "primary_phone_number": null,
      "phone_numbers": null,
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Union",
          "full": "50 Park, Union 33333",
          "name": "50 Park",
          "type": "stdaddr",
          "line1": "50 Park",
          "line2": "Union 33333",
          "state": "33333"
        }
      ],
      "type": "contact"
    },
    {
      "id": "fc998c49-75ad-4ba7-9358-0abb483cbd52",
      "display_name": "Goat Boy 2",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Boy 2 Goat",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "52EAB13E-733F-4153-B019-9A83EE67171D:ABPerson",
      "android_address_book_id": null,
      "created_at": 1787791946.651942,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Goat",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Boy 2",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": null,
      "primary_phone_number": null,
      "phone_numbers": null,
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Union",
          "full": "50 Park, Union 33333",
          "name": "50 Park",
          "type": "stdaddr",
          "line1": "50 Park",
          "line2": "Union 33333",
          "state": "33333"
        }
      ],
      "type": "contact"
    }
  ],
  "info": {
    "count": 12,
    "total": 12
  }
}

Create a new contact

Create a new contact
POST/contacts

Example URI

POST /contacts
URI Parameters
HideShow
get
string (required) Example: true
relax
string (required) Example: false
activity
string (required) Example: true
associations
array (optional) Example: contact_attribute.attribute_def,contact.attributes,contact.summary
Request
HideShow
Body
{
  "contacts": [
    {
      "attributes": [
        {
          "text": "[email protected]",
          "label": "Work",
          "is_primary": true,
          "attribute_def": "d5b21d60-d87a-4eec-ad11-7e50252f57d0"
        },
        {
          "text": "[email protected]",
          "label": "Work",
          "is_primary": true,
          "is_partner": true,
          "attribute_def": "d5b21d60-d87a-4eec-ad11-7e50252f57d0"
        },
        {
          "text": "+989124834198",
          "label": "Mobile",
          "is_primary": true,
          "attribute_def": "7c6b51bc-ee90-4f34-972f-d85f7d7c7f44"
        },
        {
          "text": "John",
          "attribute_def": "36fd9fd2-b672-41c0-966f-2c7673421a4e"
        },
        {
          "text": "Jane",
          "is_partner": true,
          "attribute_def": "36fd9fd2-b672-41c0-966f-2c7673421a4e"
        },
        {
          "text": "M.",
          "attribute_def": "e49439d9-0887-4b17-b05b-22831cb34906"
        },
        {
          "text": "Doe",
          "attribute_def": "2df407b0-9283-4e06-84ca-1cd765903987"
        },
        {
          "text": "Doe",
          "is_partner": true,
          "attribute_def": "2df407b0-9283-4e06-84ca-1cd765903987"
        },
        {
          "text": "Johnny",
          "attribute_def": "cd148024-757a-4b51-9925-159363a6dfe2"
        },
        {
          "text": "New",
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7"
        },
        {
          "text": "foo",
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7"
        },
        {
          "text": "poo",
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7"
        },
        {
          "date": 1000000,
          "attribute_def": "fec55617-ade5-4a11-b416-05f282e28617"
        },
        {
          "text": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
          "attribute_def": "177b4025-f189-4514-b1f8-40b524320e8c"
        },
        {
          "text": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
          "attribute_def": "8adf799e-2663-469e-8f29-84fc05a9944b"
        },
        {
          "text": "Rechat",
          "attribute_def": "a49339a0-c224-49aa-a7f2-e08817e4dea3"
        },
        {
          "is_primary": true,
          "is_partner": false,
          "index": 1,
          "label": "Office",
          "address": {
            "name": "Street",
            "city": "Dallas",
            "state": "Texas",
            "country": "US",
            "postcode": "72890",
            "extra": "Office"
          },
          "attribute_def": "a71a593a-ecc4-4952-a8a0-ff17519d6c0f"
        },
        {
          "text": "ExplicitlyCreated",
          "attribute_def": "10b9382e-cc08-4c08-b74c-bd8019a1cea0"
        },
        {
          "text": "This is a sample note",
          "attribute_def": "6d05310d-f7a8-45d8-92c5-33af32d856aa"
        },
        {
          "text": "This is another note",
          "attribute_def": "6d05310d-f7a8-45d8-92c5-33af32d856aa"
        },
        {
          "text": "Contact Test Subject",
          "attribute_def": "f43b8c78-a1e3-4719-98d7-84e23aa73cbd"
        },
        {
          "label": "Personal",
          "text": "http://www.gholi.com",
          "attribute_def": "b1a4ad11-9197-46df-a6b1-060d42495822"
        }
      ],
      "user": "551b76b7-9f9e-413f-b981-891b96d33c5c"
    }
  ]
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "18b04abe-c85e-486c-896b-3fb37c609c20",
      "display_name": "Johnny",
      "partner_name": "Jane Doe",
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Johnny",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "summary": {
        "id": "18b04abe-c85e-486c-896b-3fb37c609c20",
        "is_partner": false,
        "title": null,
        "first_name": "John",
        "middle_name": "M.",
        "last_name": "Doe",
        "marketing_name": null,
        "nickname": "Johnny",
        "email": "[email protected]",
        "phone_number": "+989124834198",
        "company": "Rechat",
        "birthday": 950400,
        "profile_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
        "cover_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
        "job_title": "Contact Test Subject",
        "source_type": "ExplicitlyCreated",
        "source": null,
        "tags": [
          "New",
          "foo",
          "poo"
        ],
        "display_name": "John Doe",
        "abbreviated_display_name": "Johnny",
        "type": "contact_summary"
      },
      "ios_address_book_id": null,
      "android_address_book_id": null,
      "created_at": 1787791946.271394,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "direct_request",
      "updated_for": "direct_request",
      "deleted_for": null,
      "title": null,
      "first_name": "John",
      "partner_first_name": "Jane",
      "middle_name": "M.",
      "last_name": "Doe",
      "partner_last_name": "Doe",
      "marketing_name": null,
      "nickname": "Johnny",
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": "[email protected]",
      "phone_number": "+989124834198",
      "primary_phone_number": "+989124834198",
      "phone_numbers": [
        "+989124834198"
      ],
      "company": "Rechat",
      "birthday": "1970-01-12T00:00:00.000Z",
      "profile_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
      "cover_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
      "job_title": "Contact Test Subject",
      "source_type": "ExplicitlyCreated",
      "source": null,
      "website": [
        "http://www.gholi.com"
      ],
      "tags": [
        "poo",
        "foo",
        "New"
      ],
      "address": [
        {
          "city": "Dallas",
          "full": "Street, Dallas Texas 72890",
          "name": "Street",
          "type": "stdaddr",
          "extra": "Office",
          "line1": "Street",
          "line2": "Dallas Texas 72890",
          "state": "Texas",
          "country": "US",
          "postcode": "72890"
        }
      ],
      "attributes": [
        {
          "id": "b814e243-5d65-4f7c-8000-a18d7964f12c",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "d5b21d60-d87a-4eec-ad11-7e50252f57d0",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "email",
            "data_type": "text",
            "label": "Email",
            "section": "Contact Info",
            "required": false,
            "global": true,
            "singular": false,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": true,
            "labels": [
              "Personal",
              "Work",
              "Other"
            ],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.278993,
          "updated_at": 1787791946.278993,
          "deleted_at": null,
          "label": "Work",
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "email",
          "text": "[email protected]",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "2a451d72-7f05-4089-81a4-b263fb9d6be5",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "d5b21d60-d87a-4eec-ad11-7e50252f57d0",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "email",
            "data_type": "text",
            "label": "Email",
            "section": "Contact Info",
            "required": false,
            "global": true,
            "singular": false,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": true,
            "labels": [
              "Personal",
              "Work",
              "Other"
            ],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279065,
          "updated_at": 1787791946.279065,
          "deleted_at": null,
          "label": "Work",
          "is_primary": false,
          "is_partner": true,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "email",
          "text": "[email protected]",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "8fe73a90-6350-4f96-8e2d-b92f8594f2f2",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "7c6b51bc-ee90-4f34-972f-d85f7d7c7f44",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "phone_number",
            "data_type": "text",
            "label": "Phone",
            "section": "Contact Info",
            "required": false,
            "global": true,
            "singular": false,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": true,
            "labels": [
              "Home",
              "Mobile",
              "Work",
              "Fax",
              "WhatsApp",
              "Other"
            ],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279085,
          "updated_at": 1787791946.279085,
          "deleted_at": null,
          "label": "Mobile",
          "is_primary": true,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "phone_number",
          "text": "+989124834198",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "b1daed54-c5c0-40a7-97c3-e5405f9b6273",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "36fd9fd2-b672-41c0-966f-2c7673421a4e",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "first_name",
            "data_type": "text",
            "label": "First Name",
            "section": "Details",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279102,
          "updated_at": 1787791946.279102,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "first_name",
          "text": "John",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "ace41805-0ca6-4c25-88a2-f386664f151c",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "36fd9fd2-b672-41c0-966f-2c7673421a4e",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "first_name",
            "data_type": "text",
            "label": "First Name",
            "section": "Details",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279116,
          "updated_at": 1787791946.279116,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": true,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "first_name",
          "text": "Jane",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "cd43557b-7123-4cb9-bb1b-7a493c232a2d",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "e49439d9-0887-4b17-b05b-22831cb34906",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "middle_name",
            "data_type": "text",
            "label": "Middle Name",
            "section": "Details",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279131,
          "updated_at": 1787791946.279131,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "middle_name",
          "text": "M.",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "e38e39fc-454e-4dd4-8c89-58cce7eecdb5",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "2df407b0-9283-4e06-84ca-1cd765903987",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "last_name",
            "data_type": "text",
            "label": "Last Name",
            "section": "Details",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279144,
          "updated_at": 1787791946.279144,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "last_name",
          "text": "Doe",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "7f091b90-b0ea-4752-9790-b0cddef4000e",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "2df407b0-9283-4e06-84ca-1cd765903987",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "last_name",
            "data_type": "text",
            "label": "Last Name",
            "section": "Details",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279158,
          "updated_at": 1787791946.279158,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": true,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "last_name",
          "text": "Doe",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "2d50fe0b-f044-4b8d-b611-2804a797571c",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "cd148024-757a-4b51-9925-159363a6dfe2",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "nickname",
            "data_type": "text",
            "label": "Nickname",
            "section": "Details",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279172,
          "updated_at": 1787791946.279172,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "nickname",
          "text": "Johnny",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "7bba67fb-bf3d-46df-b807-9b0bffbcf5c9",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "5b3c994e-7569-4df8-b8db-f37421a684f7",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "tag",
            "data_type": "text",
            "label": "Tag",
            "section": "Tags",
            "required": false,
            "global": true,
            "singular": false,
            "show": false,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279186,
          "updated_at": 1787791946.279186,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "tag",
          "text": "New",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "06036df2-e4f0-4c24-8fd9-408dd6210e05",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "5b3c994e-7569-4df8-b8db-f37421a684f7",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "tag",
            "data_type": "text",
            "label": "Tag",
            "section": "Tags",
            "required": false,
            "global": true,
            "singular": false,
            "show": false,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279202,
          "updated_at": 1787791946.279202,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "tag",
          "text": "foo",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "4c58a0f0-296d-4a2c-bf41-84bfc888d5bb",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "5b3c994e-7569-4df8-b8db-f37421a684f7",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "tag",
            "data_type": "text",
            "label": "Tag",
            "section": "Tags",
            "required": false,
            "global": true,
            "singular": false,
            "show": false,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279217,
          "updated_at": 1787791946.279217,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "tag",
          "text": "poo",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "1b40cfae-ad10-4dbf-b1ee-2fdcfdf9c95b",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "fec55617-ade5-4a11-b416-05f282e28617",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "birthday",
            "data_type": "date",
            "label": "Birthday",
            "section": "Dates",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": false,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279232,
          "updated_at": 1787791946.279232,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "birthday",
          "text": null,
          "date": 950400,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "bbfcb2c2-25be-467a-a616-f45b1ca3b8f4",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "177b4025-f189-4514-b1f8-40b524320e8c",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "profile_image_url",
            "data_type": "text",
            "label": "Profile Picture URL",
            "section": "Header",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": false,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279274,
          "updated_at": 1787791946.279274,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "profile_image_url",
          "text": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "66c79497-d326-43c0-8c73-30a24c9f3256",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "8adf799e-2663-469e-8f29-84fc05a9944b",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "cover_image_url",
            "data_type": "text",
            "label": "Cover Image URL",
            "section": "Header",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": false,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279305,
          "updated_at": 1787791946.279305,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "cover_image_url",
          "text": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "901d5752-3f2b-45c0-b9b0-abc424ccd872",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "a49339a0-c224-49aa-a7f2-e08817e4dea3",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "company",
            "data_type": "text",
            "label": "Company",
            "section": "Details",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279321,
          "updated_at": 1787791946.279321,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "company",
          "text": "Rechat",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "b49616f9-2f07-48a6-b3cd-bbcf17e70098",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "a71a593a-ecc4-4952-a8a0-ff17519d6c0f",
            "created_at": 1787791721.622488,
            "updated_at": 1787791721.622488,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "address",
            "data_type": "address",
            "label": "Address",
            "section": "Addresses",
            "required": false,
            "global": true,
            "singular": false,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": false,
            "has_label": false,
            "labels": [
              "Home",
              "Work",
              "Investment Property",
              "Other"
            ],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279335,
          "updated_at": 1787791946.279335,
          "deleted_at": null,
          "label": "Office",
          "is_primary": true,
          "is_partner": false,
          "index": 1,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "address",
          "text": null,
          "date": null,
          "address": {
            "city": "Dallas",
            "full": "Street, Dallas Texas 72890",
            "name": "Street",
            "type": "stdaddr",
            "extra": "Office",
            "line1": "Street",
            "line2": "Dallas Texas 72890",
            "state": "Texas",
            "country": "US",
            "postcode": "72890"
          },
          "type": "contact_attribute"
        },
        {
          "id": "cba8cdaf-089d-4160-a8f2-5748c5c6ea78",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "10b9382e-cc08-4c08-b74c-bd8019a1cea0",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "source_type",
            "data_type": "text",
            "label": "Origin",
            "section": "Contact Info",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": false,
            "searchable": false,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279362,
          "updated_at": 1787791946.279362,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "source_type",
          "text": "ExplicitlyCreated",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "aaa37baa-a03b-4a75-ac02-18e0aac32f92",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "6d05310d-f7a8-45d8-92c5-33af32d856aa",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "note",
            "data_type": "text",
            "label": "Note",
            "section": "Notes",
            "required": false,
            "global": true,
            "singular": false,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279377,
          "updated_at": 1787791946.279377,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "note",
          "text": "This is a sample note",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "4882cee3-3758-4efa-b3ce-cb0d9fdb78d3",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "6d05310d-f7a8-45d8-92c5-33af32d856aa",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "note",
            "data_type": "text",
            "label": "Note",
            "section": "Notes",
            "required": false,
            "global": true,
            "singular": false,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279391,
          "updated_at": 1787791946.279391,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "note",
          "text": "This is another note",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "d440053d-1f8d-4919-8042-dd36463f0a89",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "f43b8c78-a1e3-4719-98d7-84e23aa73cbd",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "job_title",
            "data_type": "text",
            "label": "Job Title",
            "section": "Details",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279405,
          "updated_at": 1787791946.279405,
          "deleted_at": null,
          "label": null,
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "job_title",
          "text": "Contact Test Subject",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        },
        {
          "id": "18864698-fda3-45a7-876b-affc662acf7d",
          "contact": "18b04abe-c85e-486c-896b-3fb37c609c20",
          "attribute_def": {
            "id": "b1a4ad11-9197-46df-a6b1-060d42495822",
            "created_at": 1529043568.904529,
            "updated_at": 1529043568.904529,
            "deleted_at": null,
            "created_by": null,
            "updated_by": null,
            "name": "website",
            "data_type": "text",
            "label": "Website",
            "section": "Contact Info",
            "required": false,
            "global": true,
            "singular": true,
            "show": true,
            "filterable": true,
            "editable": true,
            "searchable": true,
            "has_label": false,
            "labels": [],
            "enum_values": null,
            "user": null,
            "brand": null,
            "type": "contact_attribute_def"
          },
          "created_at": 1787791946.279419,
          "updated_at": 1787791946.279419,
          "deleted_at": null,
          "label": "Personal",
          "is_primary": false,
          "is_partner": false,
          "index": null,
          "created_by": "551b76b7-9f9e-413f-b981-891b96d33c5c",
          "updated_by": null,
          "attribute_type": "website",
          "text": "http://www.gholi.com",
          "date": null,
          "address": null,
          "type": "contact_attribute"
        }
      ],
      "type": "contact"
    }
  ],
  "info": {
    "count": 1,
    "total": 0
  }
}

Update multiple contacts

Update multiple contacts
PATCH/contacts

Updates multiple contacts and their attributes. If attributes have id, they are updated; otherwise, they will be added as new attributes.

Example URI

PATCH /contacts
URI Parameters
HideShow
get
string (required) Example: true
associations
array (optional) Example: contact.attributes
Request
HideShow
Body
{
  "contacts": [
    {
      "id": "0104881a-8c80-43d9-b15f-8629d3e5fdee",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "503299cd-990a-40c9-99e6-72688df11870",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "4f6495bb-da20-40e2-8c9e-8eeb9a290175",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "583e1b61-62db-4721-ad0b-30c363b7944f",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "307ff712-49fd-4d8a-b077-054236b97223",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "ea1216ac-8328-4c10-a7ea-0c78177fdfc4",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "8710005f-d9b4-4991-8ccc-f604af84d15a",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "14017ff4-6b0a-4974-b6e9-fe0b7356a77d",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "4cd0474f-7dfe-4e3f-864a-7c69df97b61e",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    },
    {
      "id": "fc998c49-75ad-4ba7-9358-0abb483cbd52",
      "attributes": [
        {
          "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
          "text": "ManyContacts"
        }
      ]
    }
  ]
}
Response  204

Delete multiple contacts

Delete multiple contacts
DELETE/contacts

Example URI

DELETE /contacts
Request
HideShow
Body
{
  "ids": [
    "307ff712-49fd-4d8a-b077-054236b97223",
    "4cd0474f-7dfe-4e3f-864a-7c69df97b61e"
  ]
}
Response  204

Search in contacts by query term

Search in contacts by query term
POST/contacts/filter

Example URI

POST /contacts/filter
URI Parameters
HideShow
q
string (optional) Example: [email protected]

String search in title and description

alphabet
string (optional) Example: a

Filter by first letter of last name (sort_field)

users
string (optional) 

Owner of the contact

crm_task
string (optional) 

CrmTask association query

ids
string (optional) 

List of specific contact ids to include

excludes
string (optional) 

List of specific contact ids to exclude

created_by
string (optional) 

Creator of the contact

updated_by
string (optional) 

The last person who has updated the contact

lists
string (optional) 

Belongs to list

flows
string (optional) 

Enrolled in some flows

created_gte
number (optional) 

Created after

created_lte
number (optional) 

Created before

updated_gte
number (optional) 

Last updated after

updated_lte
number (optional) 

Last updated before

last_touch_gte
number (optional) 

Last touch after

last_touch_lte
number (optional) 

Last touch before

next_touch_gte
number (optional) 

Next touch after

next_touch_lte
number (optional) 

Next touch before

start
number (optional) 
limit
number (optional) Default: 10 
order
string (optional) Example: sort_field

Put a minus sign before field name for descending order

  • Members:
    • display_name
    • sort_field
    • last_touch
    • next_touch
    • created_at
    • updated_at
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "0104881a-8c80-43d9-b15f-8629d3e5fdee",
      "display_name": "Kate Bell",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Bell Kate",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "177C371E-701D-42F8-A03B-C61CA31627F6",
      "android_address_book_id": null,
      "created_at": 1787791946.651552,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Kate",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Bell",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "(415) 555-3695",
      "primary_phone_number": "(415) 555-3695",
      "phone_numbers": [
        "(415) 555-3695",
        "(555) 564-8583"
      ],
      "company": null,
      "birthday": "1978-01-13T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Hillsborough",
          "full": "165 Davis Street, Hillsborough CA 94010",
          "name": "Davis",
          "type": "stdaddr",
          "line1": "165 Davis Street",
          "line2": "Hillsborough CA 94010",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94010",
          "house_num": "165"
        }
      ],
      "type": "contact"
    }
  ],
  "info": {
    "count": 1,
    "total": 1
  }
}

Filter contacts by attributes

Filter contacts by attributes
POST/contacts/filter

Example URI

POST /contacts/filter
URI Parameters
HideShow
q
string (optional) Example: Hello World

String search in title and description

alphabet
string (optional) Example: a

Filter by first letter of last name (sort_field)

users
string (optional) 

Owner of the contact

crm_task
string (optional) 

CrmTask association query

ids
string (optional) 

List of specific contact ids to include

excludes
string (optional) 

List of specific contact ids to exclude

created_by
string (optional) 

Creator of the contact

updated_by
string (optional) 

The last person who has updated the contact

lists
string (optional) 

Belongs to list

flows
string (optional) 

Enrolled in some flows

created_gte
number (optional) 

Created after

created_lte
number (optional) 

Created before

updated_gte
number (optional) 

Last updated after

updated_lte
number (optional) 

Last updated before

last_touch_gte
number (optional) 

Last touch after

last_touch_lte
number (optional) 

Last touch before

next_touch_gte
number (optional) 

Next touch after

next_touch_lte
number (optional) 

Next touch before

start
number (optional) 
limit
number (optional) Default: 10 
order
string (optional) Example: sort_field

Put a minus sign before field name for descending order

  • Members:
    • display_name
    • sort_field
    • last_touch
    • next_touch
    • created_at
    • updated_at
Request
HideShow
Body
{
  "filter": [
    {
      "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
      "value": "New"
    },
    {
      "attribute_def": "a49339a0-c224-49aa-a7f2-e08817e4dea3",
      "value": "Rechat"
    }
  ]
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "18b04abe-c85e-486c-896b-3fb37c609c20",
      "display_name": "Johnny",
      "partner_name": "Jane Doe",
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Johnny",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": null,
      "android_address_book_id": null,
      "created_at": 1787791946.271394,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "direct_request",
      "updated_for": "direct_request",
      "deleted_for": null,
      "title": null,
      "first_name": "John",
      "partner_first_name": "Jane",
      "middle_name": "M.",
      "last_name": "Doe",
      "partner_last_name": "Doe",
      "marketing_name": null,
      "nickname": "Johnny",
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": "[email protected]",
      "phone_number": "+989124834198",
      "primary_phone_number": "+989124834198",
      "phone_numbers": [
        "+989124834198"
      ],
      "company": "Rechat",
      "birthday": "1970-01-12T00:00:00.000Z",
      "profile_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
      "cover_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
      "job_title": "Contact Test Subject",
      "source_type": "ExplicitlyCreated",
      "source": null,
      "website": [
        "http://www.gholi.com"
      ],
      "tags": [
        "poo",
        "foo",
        "New"
      ],
      "address": [
        {
          "city": "Dallas",
          "full": "Street, Dallas Texas 72890",
          "name": "Street",
          "type": "stdaddr",
          "extra": "Office",
          "line1": "Street",
          "line2": "Dallas Texas 72890",
          "state": "Texas",
          "country": "US",
          "postcode": "72890"
        }
      ],
      "type": "contact"
    }
  ],
  "info": {
    "count": 1,
    "total": 1
  }
}

Filter contacts by multiple tags

Filter contacts by multiple tags
POST/contacts/filter

Example URI

POST /contacts/filter
URI Parameters
HideShow
q
string (optional) Example: Hello World

String search in title and description

alphabet
string (optional) Example: a

Filter by first letter of last name (sort_field)

users
string (optional) 

Owner of the contact

crm_task
string (optional) 

CrmTask association query

ids
string (optional) 

List of specific contact ids to include

excludes
string (optional) 

List of specific contact ids to exclude

created_by
string (optional) 

Creator of the contact

updated_by
string (optional) 

The last person who has updated the contact

lists
string (optional) 

Belongs to list

flows
string (optional) 

Enrolled in some flows

created_gte
number (optional) 

Created after

created_lte
number (optional) 

Created before

updated_gte
number (optional) 

Last updated after

updated_lte
number (optional) 

Last updated before

last_touch_gte
number (optional) 

Last touch after

last_touch_lte
number (optional) 

Last touch before

next_touch_gte
number (optional) 

Next touch after

next_touch_lte
number (optional) 

Next touch before

start
number (optional) 
limit
number (optional) Default: 10 
order
string (optional) Example: sort_field

Put a minus sign before field name for descending order

  • Members:
    • display_name
    • sort_field
    • last_touch
    • next_touch
    • created_at
    • updated_at
Request
HideShow
Body
{
  "filter": [
    {
      "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
      "value": "New"
    },
    {
      "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
      "value": "foo"
    }
  ]
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "18b04abe-c85e-486c-896b-3fb37c609c20",
      "display_name": "Johnny",
      "partner_name": "Jane Doe",
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Johnny",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": null,
      "android_address_book_id": null,
      "created_at": 1787791946.271394,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "direct_request",
      "updated_for": "direct_request",
      "deleted_for": null,
      "title": null,
      "first_name": "John",
      "partner_first_name": "Jane",
      "middle_name": "M.",
      "last_name": "Doe",
      "partner_last_name": "Doe",
      "marketing_name": null,
      "nickname": "Johnny",
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": "[email protected]",
      "phone_number": "+989124834198",
      "primary_phone_number": "+989124834198",
      "phone_numbers": [
        "+989124834198"
      ],
      "company": "Rechat",
      "birthday": "1970-01-12T00:00:00.000Z",
      "profile_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
      "cover_image_url": "https://inomics.com/sites/default/files/pictures/picture-95970-1460131169.png",
      "job_title": "Contact Test Subject",
      "source_type": "ExplicitlyCreated",
      "source": null,
      "website": [
        "http://www.gholi.com"
      ],
      "tags": [
        "poo",
        "foo",
        "New"
      ],
      "address": [
        {
          "city": "Dallas",
          "full": "Street, Dallas Texas 72890",
          "name": "Street",
          "type": "stdaddr",
          "extra": "Office",
          "line1": "Street",
          "line2": "Dallas Texas 72890",
          "state": "Texas",
          "country": "US",
          "postcode": "72890"
        }
      ],
      "type": "contact"
    }
  ],
  "info": {
    "count": 1,
    "total": 1
  }
}

Filter contacts not having attributes

Filter contacts not having attributes
POST/contacts/filter

Example URI

POST /contacts/filter
URI Parameters
HideShow
q
string (optional) Example: Hello World

String search in title and description

alphabet
string (optional) Example: a

Filter by first letter of last name (sort_field)

users
string (optional) 

Owner of the contact

crm_task
string (optional) 

CrmTask association query

ids
string (optional) 

List of specific contact ids to include

excludes
string (optional) 

List of specific contact ids to exclude

created_by
string (optional) 

Creator of the contact

updated_by
string (optional) 

The last person who has updated the contact

lists
string (optional) 

Belongs to list

flows
string (optional) 

Enrolled in some flows

created_gte
number (optional) 

Created after

created_lte
number (optional) 

Created before

updated_gte
number (optional) 

Last updated after

updated_lte
number (optional) 

Last updated before

last_touch_gte
number (optional) 

Last touch after

last_touch_lte
number (optional) 

Last touch before

next_touch_gte
number (optional) 

Next touch after

next_touch_lte
number (optional) 

Next touch before

start
number (optional) 
limit
number (optional) Default: 10 
order
string (optional) Example: sort_field

Put a minus sign before field name for descending order

  • Members:
    • display_name
    • sort_field
    • last_touch
    • next_touch
    • created_at
    • updated_at
Request
HideShow
Body
{
  "filter": [
    {
      "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7",
      "value": "New",
      "invert": true
    },
    {
      "attribute_type": "tag",
      "value": "foo",
      "invert": true,
      "attribute_def": "5b3c994e-7569-4df8-b8db-f37421a684f7"
    }
  ]
}
Response  200
HideShow
Body
{
  "code": "OK",
  "data": [
    {
      "id": "0104881a-8c80-43d9-b15f-8629d3e5fdee",
      "display_name": "Kate Bell",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Bell Kate",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "177C371E-701D-42F8-A03B-C61CA31627F6",
      "android_address_book_id": null,
      "created_at": 1787791946.651552,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Kate",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Bell",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "(415) 555-3695",
      "primary_phone_number": "(415) 555-3695",
      "phone_numbers": [
        "(415) 555-3695",
        "(555) 564-8583"
      ],
      "company": null,
      "birthday": "1978-01-13T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Hillsborough",
          "full": "165 Davis Street, Hillsborough CA 94010",
          "name": "Davis",
          "type": "stdaddr",
          "line1": "165 Davis Street",
          "line2": "Hillsborough CA 94010",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94010",
          "house_num": "165"
        }
      ],
      "type": "contact"
    },
    {
      "id": "14017ff4-6b0a-4974-b6e9-fe0b7356a77d",
      "display_name": "David Taylor",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Taylor David",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "E94CD15C-7964-4A9B-8AC4-10D7CFB791FD",
      "android_address_book_id": null,
      "created_at": 1787791946.651874,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "David",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Taylor",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": null,
      "primary_email": null,
      "emails": null,
      "parked": false,
      "partner_email": null,
      "phone_number": "555-610-6679",
      "primary_phone_number": "555-610-6679",
      "phone_numbers": [
        "555-610-6679"
      ],
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Tiburon",
          "full": "1747 Steuart Street, Tiburon CA 94920",
          "name": "Steuart",
          "type": "stdaddr",
          "line1": "1747 Steuart Street",
          "line2": "Tiburon CA 94920",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94920",
          "house_num": "1747"
        }
      ],
      "type": "contact"
    },
    {
      "id": "2b11ec9c-36f3-4f43-b116-94b775f90793",
      "display_name": "ACME Corporation",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "ACME Corporation",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": null,
      "android_address_book_id": null,
      "created_at": 1787791946.38132,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "direct_request",
      "updated_for": "direct_request",
      "deleted_for": null,
      "title": null,
      "first_name": null,
      "partner_first_name": null,
      "middle_name": null,
      "last_name": null,
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": null,
      "primary_email": null,
      "emails": null,
      "parked": false,
      "partner_email": null,
      "phone_number": null,
      "primary_phone_number": null,
      "phone_numbers": null,
      "company": "ACME Corporation",
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": null,
      "source": null,
      "website": null,
      "tags": null,
      "address": null,
      "type": "contact"
    },
    {
      "id": "307ff712-49fd-4d8a-b077-054236b97223",
      "display_name": "Zakroff",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Zakroff",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": null,
      "android_address_book_id": null,
      "created_at": 1787791946.651779,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": null,
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Zakroff",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": null,
      "primary_phone_number": null,
      "phone_numbers": null,
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": null,
      "source": null,
      "website": null,
      "tags": null,
      "address": null,
      "type": "contact"
    },
    {
      "id": "4cd0474f-7dfe-4e3f-864a-7c69df97b61e",
      "display_name": "Goat Boy",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Boy Goat",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "52EAB13E-733F-4153-B019-9A83EE67171D:ABPerson",
      "android_address_book_id": null,
      "created_at": 1787791946.651907,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Goat",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Boy",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": null,
      "primary_phone_number": null,
      "phone_numbers": null,
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Union",
          "full": "50 Park, Union 33333",
          "name": "50 Park",
          "type": "stdaddr",
          "line1": "50 Park",
          "line2": "Union 33333",
          "state": "33333"
        }
      ],
      "type": "contact"
    },
    {
      "id": "4f6495bb-da20-40e2-8c9e-8eeb9a290175",
      "display_name": "John Appleseed",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Appleseed John",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "410FE041-5C4E-48DA-B4DE-04C15EA3DBAC",
      "android_address_book_id": null,
      "created_at": 1787791946.65171,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "John",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Appleseed",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]",
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "888-555-1212",
      "primary_phone_number": "888-555-1212",
      "phone_numbers": [
        "888-555-1212",
        "888-555-5512"
      ],
      "company": null,
      "birthday": "1980-06-17T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Atlanta",
          "full": "3494 Kuhl Avenue, Atlanta GA 30303",
          "name": "Kuhl",
          "type": "stdaddr",
          "line1": "3494 Kuhl Avenue",
          "line2": "Atlanta GA 30303",
          "state": "GA",
          "suftype": "Avenue",
          "postcode": "30303",
          "house_num": "3494"
        }
      ],
      "type": "contact"
    },
    {
      "id": "503299cd-990a-40c9-99e6-72688df11870",
      "display_name": "Daniel Higgins",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Higgins Daniel",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "AB211C5F-9EC9-429F-9466-B9382FF61035",
      "android_address_book_id": null,
      "created_at": 1787791946.65167,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Daniel",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Higgins",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "(408) 555-3514",
      "primary_phone_number": "(408) 555-3514",
      "phone_numbers": [
        "(408) 555-3514",
        "(408) 555-5270",
        "555-478-7672"
      ],
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Corte Madera",
          "full": "322 Laguna Street, Corte Madera CA 94925",
          "name": "Laguna",
          "type": "stdaddr",
          "line1": "322 Laguna Street",
          "line2": "Corte Madera CA 94925",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94925",
          "house_num": "322"
        }
      ],
      "type": "contact"
    },
    {
      "id": "583e1b61-62db-4721-ad0b-30c363b7944f",
      "display_name": "Anna Haro",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Haro Anna",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "F57C8277-585D-4327-88A6-B5689FF69DFE",
      "android_address_book_id": null,
      "created_at": 1787791946.651746,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Anna",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Haro",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "555-522-8243",
      "primary_phone_number": "555-522-8243",
      "phone_numbers": [
        "555-522-8243"
      ],
      "company": null,
      "birthday": "1985-08-22T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "Sausalito",
          "full": "1001 Leavenworth Street, Sausalito CA 94965",
          "name": "Leavenworth",
          "type": "stdaddr",
          "line1": "1001 Leavenworth Street",
          "line2": "Sausalito CA 94965",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94965",
          "house_num": "1001"
        }
      ],
      "type": "contact"
    },
    {
      "id": "8710005f-d9b4-4991-8ccc-f604af84d15a",
      "display_name": "David",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "David",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "E94CD15C-7964-4A9B-8AC4-10D7CFB791FD",
      "android_address_book_id": null,
      "created_at": 1787791946.651842,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "David",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": null,
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": null,
      "primary_email": null,
      "emails": null,
      "parked": false,
      "partner_email": null,
      "phone_number": "555-610-6679",
      "primary_phone_number": "555-610-6679",
      "phone_numbers": [
        "555-610-6679"
      ],
      "company": null,
      "birthday": "1998-06-15T00:00:00.000Z",
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": null,
      "type": "contact"
    },
    {
      "id": "ea1216ac-8328-4c10-a7ea-0c78177fdfc4",
      "display_name": "Hank Zakroff",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Zakroff Hank",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "2E73EE73-C03F-4D5F-B1E8-44E85A70F170",
      "android_address_book_id": null,
      "created_at": 1787791946.651811,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Hank",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Zakroff",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
      "partner_email": null,
      "phone_number": "(707) 555-1854",
      "primary_phone_number": "(707) 555-1854",
      "phone_numbers": [
        "(707) 555-1854",
        "(555) 766-4823"
      ],
      "company": null,
      "birthday": null,
      "profile_image_url": null,
      "cover_image_url": null,
      "job_title": null,
      "source_type": "IOSAddressBook",
      "source": null,
      "website": null,
      "tags": null,
      "address": [
        {
          "city": "San Rafael",
          "full": "1741 Kearny Street, San Rafael CA 94901",
          "name": "Kearny",
          "type": "stdaddr",
          "line1": "1741 Kearny Street",
          "line2": "San Rafael CA 94901",
          "state": "CA",
          "suftype": "Street",
          "postcode": "94901",
          "house_num": "1741"
        }
      ],
      "type": "contact"
    },
    {
      "id": "fc998c49-75ad-4ba7-9358-0abb483cbd52",
      "display_name": "Goat Boy 2",
      "partner_name": null,
      "brand": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "brand_id": "88fe122b-ad9d-41b6-8ccd-c490e6aee4ad",
      "user_id": "551b76b7-9f9e-413f-b981-891b96d33c5c",
      "sort_field": "Boy 2 Goat",
      "last_touch": null,
      "last_touch_action": null,
      "next_touch": null,
      "touch_freq": null,
      "ios_address_book_id": "52EAB13E-733F-4153-B019-9A83EE67171D:ABPerson",
      "android_address_book_id": null,
      "created_at": 1787791946.651942,
      "updated_at": 1787791945.169234,
      "deleted_at": null,
      "created_for": "import_json",
      "updated_for": "import_json",
      "deleted_for": null,
      "title": null,
      "first_name": "Goat",
      "partner_first_name": null,
      "middle_name": null,
      "last_name": "Boy 2",
      "partner_last_name": null,
      "marketing_name": null,
      "nickname": null,
      "email": "[email protected]",
      "primary_email": "[email protected]",
      "emails": [
        "[email protected]"
      ],
      "parked": false,
[...]
